<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE components PUBLIC "-//AJAX4JSF//CDK Generator config/EN"  "https://ajax4jsf.dev.java.net/nonav/dtds/component-config.dtd" >
<components>
	<component>
		<name>org.richfaces.SubTable</name>
		<family>org.richfaces.SubTable</family>
		<classname>org.richfaces.component.html.HtmlSubTable</classname>
		<superclass>org.richfaces.component.UISubTable</superclass>
		<description>
			<![CDATA[
    ]]>
		</description>
		<renderer generate="false" override="false">
			<name>org.richfaces.SubTableRenderer</name>
			<classname>org.richfaces.renderkit.html.SubTableRenderer</classname>
			<!-- template>org/richfaces/htmlSubTable.jspx</template-->
		</renderer>
		<tag>
			<name>subTable</name>
			<classname>org.richfaces.taglib.SubTableTag</classname>
			<superclass>
				org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
			</superclass>
			<test/>
		</tag>
		<!--
		<taghandler>
			<classname>org.ajax4jsf.tag.TestHandler</classname>
		</taghandler>
		-->
		&ui_component_attributes;
		&ui_data_attributes;
		&spec_table_attributes;
		<property>
			<name>ajaxKeys</name>
			<classname>java.lang.String</classname>
			<description>This attribute defines rows that are updated after an AJAX request</description>
		</property>
		<property disabled="true" hidden="true">
			<name>breakBefore</name>
			<classname>boolean</classname>
			<description>
			</description>
		</property>
		<property disabled="true" hidden="true">
			<name>sortable</name>
			<classname>boolean</classname>
			<description></description>
			<defaultvalue>true</defaultvalue>
		</property>		
		
		<property>
			<name>componentState</name>
			<classname>java.lang.String</classname>
			<description>It defines EL-binding  for a component state for saving or redefinition</description>
		</property>
		<property>
			<name>rowKeyVar</name>
			<classname>java.lang.String</classname>
			<description>The attribute provides access to a row key in a Request scope</description>
		</property>
		<property>
			<name>stateVar</name>
			<classname>java.lang.String</classname>
			<description>
				The attribute  provides access to a component state on the client side
			</description>
		</property>			
		<property>
			<name>rowKey</name>
			<classname>java.lang.String</classname>
			<description>
				RowKey is a representation of an identifier for a specific data row
			</description>
		</property>
		<property>
			<name>value</name>
			<classname>java.lang.String</classname>
			<description>
				The current value for this component
			</description>
		</property>
		<!--
		<property>
			<name>param</name>
			<classname>java.lang.String</classname>
			<description>
			</description>
			<defaultvalue>"default"</defaultvalue>
		</property>
        -->
		<!-- rows javascript events -->
		<property>
			<name>onRowClick</name>
			<classname>java.lang.String</classname>
			<description>
				HTML: a script expression; a pointer button is clicked on row
			</description>
		</property>
		<property>
			<name>onRowDblClick</name>
			<classname>java.lang.String</classname>
			<description>HTML: a script expression; a pointer button is double-clicked on row
			</description>
		</property>
		<property>
			<name>onRowMouseUp</name>
			<classname>java.lang.String</classname>
			<description>HTML: script expression; a pointer button is released on row
			</description>
		</property>
		<property>
			<name>onRowMouseDown</name>
			<classname>java.lang.String</classname>
			<description>HTML: script expression; a pointer button is pressed down on row
			</description>
		</property>
		<property>
			<name>onRowMouseOver</name>
			<classname>java.lang.String</classname>
			<description>HTML: a script expression; a pointer is moved onto of row
			</description>
		</property>
		<property>
			<name>onRowMouseOut</name>
			<classname>java.lang.String</classname>
			<description>HTML: a script expression; a pointer is moved away of row
			</description>
		</property>
		<property>
			<name>onRowMouseMove</name>
			<classname>java.lang.String</classname>
			<description>HTML: a script expression; a pointer is moved within of row
			</description>
		</property>
	</component>
</components>
